# Generated by sila2.code_generator; sila2.__version__: 0.9.2
# -----
# This class does not do anything useful at runtime. Its only purpose is to provide type annotations.
# Since sphinx does not support .pyi files (yet?), so this is a .py file.
# -----

from __future__ import annotations

from typing import TYPE_CHECKING

if TYPE_CHECKING:

    from typing import Iterable, Optional

    from sila2.client import ClientMetadataInstance, ClientObservableCommandInstance
    from turbidityprovider_types import GetTurbidity_Responses


class TurbidityProviderClient:
    """

    Monitoring the turbidity, e.g. of a reactor.

    """

    def GetTurbidity(
        self, Wavelenth: float, *, metadata: Optional[Iterable[ClientMetadataInstance]] = None
    ) -> ClientObservableCommandInstance[GetTurbidity_Responses]:
        """
        Get Current current turbidity at wavelength
        """
        ...
